﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAirplaneWithRadar
{
     public class EntityAirplaneWithRadar
    {
        //скорость 
        public int Speed { get; private set; }
        // вес
        public double Weight { get; private set; }
        // основной цвет
        public Color BodyColor { get; private set; }
        // доп цвет
        public Color AdditionalColor { get; private set; }
        // наличие радара
        public bool Radar{ get; private set; }
        // наличие дополнительных топливных баков
        public bool DopBak{ get; private set; }
        //шаг перемещения самолета
        public double Step => (double)Speed*100/Weight;      
        public void Init(int speed, double weight, Color bodyColor, Color additionalColor, bool radar, bool dopbak)
        {
            Speed = speed;
            Weight = weight;
            BodyColor = bodyColor;
            AdditionalColor = additionalColor;
            Radar = radar;
            DopBak = dopbak;
        }   
    }
}
